#### D.6.20.5 is_ci

Procedure from library `sing.lib` (see sing_lib).

Usage:
  is_ci(i); i ideal

Return:
  intvec = sequence of dimensions of ideals (j[1],...,j[k]), for k=1,...,size(j), where j is minimal base of i. i is a complete intersection if last number equals nvars-size(i)

Note:
  dim(0-ideal) = -1. You may first apply simplify(i,10); in order to delete zeroes and multiples from set of generators
  printlevel >=0: display comments (default)

Example:

    LIB "sing.lib";
    int p      = printlevel;
    printlevel = 1;                // display comments
    ring r     = 32003,(x,y,z),ds;
    ideal i    = x4+y5+z6,xyz,yx2+xz2+zy7;
    is_ci(i);
    ==> // complete intersection of dim 0
    ==> // dim-sequence:
    ==> 2,1,0
    i          = xy,yz;
    is_ci(i);
    ==> // no complete intersection
    ==> // dim-sequence:
    ==> 2,2
    printlevel = p;

User manual for Singular version 4.4.1, 2025, generated by texi2html.